FsImageProto.SnapshotSectionOrBuilder (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, class: FsImageProto, interface: SnapshotSectionOrBuilder

Package org.apache.hadoop.hdfs.server.namenode

# Interface FsImageProto.SnapshotSectionOrBuilder

All Superinterfaces:
  `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `FsImageProto.SnapshotSection`, `FsImageProto.SnapshotSection.Builder`

Enclosing class:
  FsImageProto

public static interface FsImageProto.SnapshotSectionOrBuilder extends org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getNumSnapshots()`
  total number of snapshots
  `int`
  `getSnapshotCounter()`
  `optional uint32 snapshotCounter = 1;`
  `long`
  `getSnapshottableDir(int index)`
  `repeated uint64 snapshottableDir = 2 [packed = true];`
  `int`
  `getSnapshottableDirCount()`
  `repeated uint64 snapshottableDir = 2 [packed = true];`
  `List<Long>`
  `getSnapshottableDirList()`
  `repeated uint64 snapshottableDir = 2 [packed = true];`
  `boolean`
  `hasNumSnapshots()`
  total number of snapshots
  `boolean`
  `hasSnapshotCounter()`
  `optional uint32 snapshotCounter = 1;`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### hasSnapshotCounter

    boolean hasSnapshotCounter()
    `optional uint32 snapshotCounter = 1;`
    Returns:
      Whether the snapshotCounter field is set.

  - ### getSnapshotCounter

    int getSnapshotCounter()
    `optional uint32 snapshotCounter = 1;`
    Returns:
      The snapshotCounter.

  - ### getSnapshottableDirList

    List<Long> getSnapshottableDirList()
    `repeated uint64 snapshottableDir = 2 [packed = true];`
    Returns:
      A list containing the snapshottableDir.

  - ### getSnapshottableDirCount

    int getSnapshottableDirCount()
    `repeated uint64 snapshottableDir = 2 [packed = true];`
    Returns:
      The count of snapshottableDir.

  - ### getSnapshottableDir

    long getSnapshottableDir(int index)
    `repeated uint64 snapshottableDir = 2 [packed = true];`
    Parameters:
      `index` - The index of the element to return.
    Returns:
      The snapshottableDir at the given index.

  - ### hasNumSnapshots

    boolean hasNumSnapshots()

         total number of snapshots

    `optional uint32 numSnapshots = 3;`
    Returns:
      Whether the numSnapshots field is set.

  - ### getNumSnapshots

    int getNumSnapshots()

         total number of snapshots

    `optional uint32 numSnapshots = 3;`
    Returns:
      The numSnapshots.